import { fileURLToPath, URL } from 'node:url'

import { defineConfig, loadEnv } from 'vite'
import vue from '@vitejs/plugin-vue'
import vueDevTools from 'vite-plugin-vue-devtools'

// https://vite.dev/config/
export default defineConfig(({ command, mode }) => {
  // 加载环境变量，第三个参数''表示使用默认的环境变量前缀VITE_
  const env = loadEnv(mode, process.cwd(), '')

  return {
    plugins: [
      vue(),
      vueDevTools(),
    ],
    base: './',
    resolve: {
      alias: {
        '@': fileURLToPath(new URL('./src', import.meta.url))
      },
    },
    // 根据环境设置不同的配置
    server: {
      host: '0.0.0.0',
      port: env.VITE_PORT || 5173,
      proxy: {
        '/api': {
          target: 'https://fucai-claim.smartjinrui.cn/api/',
          changeOrigin: true,
          rewrite: (path) => path.replace(/^\/api/, '/')
        }
      }
    },
    build: {
      sourcemap: mode !== 'production',
      minify: mode === 'production' ? 'terser' : false
    }
  }
})
